Skip to main content

Creates a device comment

POST /v1/device/{deviceID}/comment

Summary

Creates a device comment.

Details

Request body: JSON object. This endpoint stores the comment text from

value after HTML-encoding it. If the device does not already have a comment collection, one is

created automatically before the comment is added.

Authentication

No operation-level security requirement is documented here.

Parameters

NameInTypeRequiredDescriptionExample
deviceIDpathinteger (int64)YesThe ID of the device to comment on.1

Request Body

Required: Yes

application/json

  • value (string, optional)

Example

{
"value": "Example value"
}

Responses

200

Success

application/json

  • key (integer (int64), optional)
  • commentText (string, optional)
  • commentDate (string (date-time), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 1,
"commentText": "Example value",
"commentDate": "2026-03-30T12:00:00.0000000Z",
"creationDate": "2026-03-30T12:00:00.0000000Z"
}